@font-face
{
font-family: "cursivecasual";
src: url("fonts/cursive.ttf");
}

@font-face
{
font-family: "onestroke";
src: url("fonts/onestroke.ttf");
}

@media (orientation: portrait)
{ /* tablet and smaller */
#overlay
	{
	position: absolute;
	z-index: 9999;
	width: 100%;
	height:100%;
	top: 0;
	bottom: 0;
	content: "";
	background: #212121 url(images/turndevice.png) 0 0 no-repeat;
	background-size: 100% auto;
	}
}

body
{
width:800px;
height:480px;
padding:0px;
margin:0px;
overflow:hidden;
font-family:cursivecasual;
font-size:20px;
color:#fff;
background:#212121;
}

#main_div
{
position:absolute;
top:0px;
left:0px;
width:800px;
height:480px;
overflow:hidden;
padding:0;
margin:0;
}

#frontpage_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
display:none;
background:#fff;
text-align:center;
}

#game_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
background:#000;
color:#fff;
display:none;
}

#game_over_div
{
position:absolute;
top:0px;
left:0px;
width:100%;
height:100%;
display:none;
color:#f15a24;
z-index:10;
font-size:40px;
}

.sound_button
{
position:absolute;
bottom:4px;
left:4px;
width:81px;
height:81px;
background-image:url(images/sound_off.png);
cursor:pointer;
opacity:0;
background-size:100% 100%;
}

#timer_div
{
position:absolute;
top:21px;
left:439px;
color:#fff;
font-size:30px;
}

.button
{
position:absolute;
cursor:pointer;
background-image:url(images/blank.gif);
}

#greyout
{
background-color: #fff;
filter:alpha(opacity=40);
opacity: 0.4;
-moz-opacity:0.4;
z-index: 0;
height: 100%;
width: 100%;
background-repeat:no-repeat;
background-position:center;
position:absolute;
top: 0px;
left: 0px;
display:none;
}

#result_div
{
position:absolute;
top:90px;
left:50%;
margin-left:-200px;
width:400px;
height:300px;
text-align:center;
font-size:26px;
color:#000;
z-index:100;
border:1px solid #000;
border-radius:10px;
padding:10px;
background:#fff;
text-align:center;
display:none;
}

#congrats_div
{
position:absolute;
top:140px;
left:0px;
width:800px;
text-align:center;
font-size:70px;
color:#0f0;
-webkit-text-stroke:2px #f00;
z-index:100;
display:none;
}

.correct
{
color:yellow;
}

.incorrect
{
color:#f00;
-webkit-text-stroke:1px yellow;
}

#game_over_message_div
{
position:absolute;
top:161px;
left:92px;
text-align:center;
}

#pacman
{
position:absolute;
top:200px;
left:200px;
width:30px;
height:30px;
}

#ghost
{
position:absolute;
top:200px;
left:-100px;
width:39px;
height:39px;
background-image:url(images/ghost.png);
text-align:center;
color:#fff;
font-size:30px;
}

#lives_div
{
position:absolute;
top:4px;
right:10px;
font-size:26px;
color:#0f0;
}

#score_div
{
position:absolute;
top:4px;
left:10px;
font-size:26px;
color:#0f0;
}

#remain_div
{
position:absolute;
top:4px;
left:360px;
font-size:26px;
color:#0f0;
}

#marker_div
{
position:absolute;
top:0px;
left:120px;
font-size:26px;
font-weight:bold;
}

.word_correct
{
border:2px solid #0f0;
color:#0f0;
}

.word_incorrect
{
border:2px solid #f00;
color:#f00;
}

.block
{
position:absolute;
border:9px double #00f;
border-radius:10px;
}

.word
{
position:absolute;
border:2px solid #fff;
color:#fff;
text-align:center;
}

.warpzone
{
position:absolute;
border:2px solid #f00;
color:#f00;
text-align:center;
}

.powerpill
{
position:absolute;
border:8px solid #0f0;
border-radius:8px;
}

@-webkit-keyframes blinker {
  from {opacity: 1.0;}
  to {opacity: 0.0;}
}

@keyframes blinker {
  from {opacity: 1.0;}
  to {opacity: 0.0;}
}

.flash
{
-webkit-animation-name: blinker;
-webkit-animation-duration: 0.6s;
-webkit-animation-iteration-count:infinite;
-webkit-animation-timing-function:ease-in-out;
-webkit-animation-direction: alternate;
animation-name: blinker;
animation-duration: 0.6s;
animation-iteration-count:infinite;
animation-timing-function:ease-in-out;
animation-direction: alternate;
}

@-webkit-keyframes blinker2 {
  from {background: #000;}
  to {background: #f00;}
}

@keyframes blinker2 {
  from {background: #000;}
  to {background: #f00;}
}

.highlight
{
-webkit-animation-name: blinker2;
-webkit-animation-duration: 0.6s;
-webkit-animation-iteration-count:infinite;
-webkit-animation-timing-function:ease-in-out;
-webkit-animation-direction: alternate;
animation-name: blinker2;
animation-duration: 0.6s;
animation-iteration-count:infinite;
animation-timing-function:ease-in-out;
animation-direction: alternate;
}

.shrink
{
transform-origin:center;
-webkit-transition: 2s ease-in-out;
transition: 2s ease-in-out;
-webkit-transform: rotate(360deg) scale(0);
transform: rotate(360deg) scale(0);
}

.preload
{
width:1px;
height:1px;
opacity:0;
}

.button, .button:visited
{
background: #222 url(images/blank.gif) repeat-x;
display: inline-block;
padding: 5px 10px 6px;
color: #fff;
text-decoration: none;
border-radius: 5px;
-webkit-border-radius: 5px;
box-shadow: 0 1px 3px rgba(0,0,0,0.5);
-webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.5);
text-shadow: 0 -1px 1px rgba(0,0,0,0.25);
border-bottom: 1px solid rgba(0,0,0,0.25);
position: relative;
cursor: pointer;
}

.button:hover { background-color: #111; color: #fff; }
.button:active { top: 1px; }
.small.button, .small.button:visited { font-size: 11px; padding: ; }
.button, .button:visited,
.medium.button, .medium.button:visited { font-size: 13px; font-weight: bold; line-height: 1; text-shadow: 0 -1px 1px rgba(0,0,0,0.25); }
.large.button, .large.button:visited { font-size: 20px; padding: 8px 14px 9px; }

.grey.button, .grey.button:visited { background-color: #e2e2e2; }
.grey.button:hover { background-color: #e2e2e2; }
.green.button, .green.button:visited { background-color: #91bd09; }
.green.button:hover { background-color: #749a02; }
.blue.button, .blue.button:visited { background-color: #2daebf; }
.blue.button:hover { background-color: #007d9a; }
.red.button, .red.button:visited { background-color: #e33100; }
.red.button:hover { background-color: #872300; }
.magenta.button, .magenta.button:visited { background-color: #a9014b; }
.magenta.button:hover { background-color: #630030; }
.orange.button, .orange.button:visited { background-color: #ff5c00; }
.orange.button:hover { background-color: #d45500; }
.yellow.button, .yellow.button:visited { background-color: #ffb515; }
.yellow.button:hover { background-color: #fc9200; }